package org.xbib.logging.handlers;

import java.util.logging.LogRecord;

/**
 * Replacement for java.util.logging.ConsoleHandler.
 */
public class ThreadLoggingHandler extends ThreadLoggingStreamHandler {

    public ThreadLoggingHandler() {
        super();
        this.setOutputStream(System.out);
    }

    @Override
    public void publish(LogRecord record) {
        super.publish(record);
        this.flush();
    }

    @Override
    public void close() {
        this.flush();
    }
}
